Summary: Library implementing the Unicode Bidirectional Algorithm
Name: fribidi
Version: 0.19.2
Release: 1
URL: http://fribidi.org
Source0: http://fribidi.org/download/%{name}-%{version}.tar.gz
License: LGPLv2+
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: pkg-config, make

%description
A library to handle bidirectional scripts (for example Hebrew, Arabic),
so that the display is done in the proper way; while the text data itself
is always written in logical order.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Libraries and include files for FriBidi
Group: System Environment/Libraries
Requires: %name = %{version}-%{release}
Requires: pkg-config

%description devel
Include files and libraries needed for developing applications which use
FriBidi.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -q


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static

gmake %{?_smp_mflags}

cp lib/.libs/lib%{name}.so.0 .
gmake distclean

# now build the 32-bit version
export CC="xlc -q32"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static

gmake %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q lib/.libs/lib%{name}.a ./lib%{name}.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system,-)
%doc README AUTHORS COPYING ChangeLog THANKS NEWS TODO
%{_bindir}/*
%{_libdir}/*.a
/usr/bin/*
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*
/usr/include/*
/usr/lib/*.la


%changelog
* Mon Nov 16 2009 Michael Perzl <michael@perzl.org> - 0.19.2-1
- first version for AIX V5.1 and higher
